#ifndef ColorSelectionFrame_p_h
#define ColorSelectionFrame_p_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QFrame>
#include <QPushButton>

namespace Private
{
    class ColorWidget: public QPushButton, private Base::Counter<ColorWidget>
    {

        Q_OBJECT

        public:

        //* constructor
        explicit ColorWidget( QWidget* parent = 0 );

        Q_SIGNALS:

        // emitted when new color is selected
        void colorSelected( QColor );

    };

    class ColorDisplay: public QFrame, private Base::Counter<ColorDisplay>
    {

        Q_OBJECT

        public:

        //* constructor
        explicit ColorDisplay( QWidget* parent = 0 );

        //* color
        void setColor( const QColor& color );

        protected:

        //* paint
        void paintEvent( QPaintEvent* ) override;

        //* paint
        void _paint( QPainter* );

        protected Q_SLOTS:

        //* start drag
        void _startDrag( QPoint );

        private:

        //* color
        QColor color_;

    };

}
#endif
