#ifndef DefaultOptions_h
#define DefaultOptions_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "File.h"
#include "XmlOptions.h"
#include "Util.h"

//_____________________________________________________
//* default options installer
void installDefaultOptions()
{

    // set options default values
    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set<bool>( "PAGE_FRAME", false );
    XmlOptions::get().set<bool>( "SHOW_LIST", true );
    XmlOptions::get().set<bool>( "AUTO_HIDE", false );

    // resource file
    XmlOptions::get().set( "OLD_RC_FILE", Option( File(".xgrabcolorrc").addPath( Util::home() ), Option::Flag::None ) );
    XmlOptions::get().set( "RC_FILE", Option( File("xgrabcolorrc").addPath( Util::config() ), Option::Flag::None ) );

    XmlOptions::get().setAutoDefault( false );

};

#endif
